<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Протокол Диффи-Хеллмана</title>
    <link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
<div class="diffie-hellman">
    <h3 class="header">Протокол Диффи-Хеллмана</h3>
    <form id="diffieHellmanForm">
        <div class="block">
            <label for="myPublicKey">Ваш публичный ключ</label>
            <div>
                <input readonly id="myPublicKey">
            </div>
        </div>
        <div class="block">
            <label for="theirPublicKey">Введите публичный ключ собеседника</label>
            <div>
                <input type="number" required id="theirPublicKey">
            </div>
        </div>
        <div class="block">
            <label for="inputText">Введите текст (для шифрования или расшифровки)</label>
            <div>
                <textarea required id="inputText" rows="6" cols="50"></textarea>
            </div>
        </div>
        <div class="block">
            <button id="encryptButton">Зашифровать</button>
            <button id="decryptButton">Расшифровать</button>
        </div>
        <div class="block">
            <label for="outputText">Результат</label>
            <div>
                <textarea readonly id="outputText" rows="6" cols="50"></textarea>
            </div>
        </div>
    </form>
    <div class="info">
        <img id="authors" src="assets/authors.svg" alt="Авторы">
        <img id="info" src="assets/info.svg" alt="Информация о программе">
    </div>
</div>
</body>
<script src="js/script.js"></script>
<script src="js/authors.js"></script>
<script src="js/info.js"></script>
</html>